Topic: Update to 2.3.2.4 gone wrong!

In trying to update from 2.3.2.2, the update failed (can't remember the message). In looking at the wp-simpleviewer folder inside the Plugins folder, everything has been deleted except the svcore (Pro version) folder.
I have manually downloaded and uploaded the 2.3.2.4 folder to the correct place, replace the svcore, then gone to the Plugins in the admin page and tried to activate the new plugin... I get this message:

"Plugin could not be activated because it triggered a fatal error.
WP-SimpleViewer cannot assign full access permissions (755) to the wp-content/uploads folder. Please do this manually."

But the uploads folder already has 777 permissions to it, and changing it to 755 makes no difference, I still can't activate it.

Please help! I need our galleries back!

Many thanks
Mick

Re: Update to 2.3.2.4 gone wrong!

If the 'wp-content/uploads/' folder already has permissions of 755, then WP-SimpleViewer shouldn't try to change its permissions.
However, as long as you have activated WP-SimpleViewer successfully in the past and the plugin has already been set up correctly, then you can bypass the initial activation checks by opening the 'wp-simpleviewer.php' file in a plain text editor and deleting (or commenting out) line 1435:

register_activation_hook(__FILE__, 'sv_check_dependency');

Please note that the line number refers to WP-SimpleViewer v2.3.2.4.
This should hopefully get you up and running again.

Steven Speirs
SimpleViewer Support Team

Re: Update to 2.3.2.4 gone wrong!

Thank you, thank you, thank you, Steven!!!

Fantastic speedy response, and solved the problem straight away (after I re-replaced the svcore to the Pro version, because it seems that was deleted after all)

(in version 2.3.2.5 the line number is 1512)

Re: Update to 2.3.2.4 gone wrong!

Thank you, thank you, thank you, Steven!!!

You're welcome!

(in version 2.3.2.5 the line number is 1512)

That's correct. I didn't mention v2.3.2.5 only because you said you were using v2.3.2.4.
However, I would always recommend using the most recent version. v2.3.2.5 fixes several bugs. Please see the plugin's Version History for details.

Steven Speirs
SimpleViewer Support Team